## org.eclipse.emf.ocl.query
Interface QueryPackage.Literals

Enclosing interface:
  QueryPackage

    public static interface QueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EDataType` `LIST` The meta object literal for the 'List' data type
`static EClass` `QUERY` The meta object literal for the '`Query`' class
`static EReference` `QUERY__EXPRESSION` The meta object literal for the 'Expression' reference feature
`static EAttribute` `QUERY__EXTENT_MAP` The meta object literal for the 'Extent Map' attribute feature

Field Detail

### QUERY

    static final EClass QUERY

  The meta object literal for the '`Query`' class.

  See Also:
    `QueryImpl`, `QueryPackageImpl.getQuery()`

### QUERY__EXTENT_MAP

    static final EAttribute QUERY__EXTENT_MAP

  The meta object literal for the 'Extent Map' attribute feature.

### QUERY__EXPRESSION

    static final EReference QUERY__EXPRESSION

  The meta object literal for the 'Expression' reference feature.

### LIST

    static final EDataType LIST

  The meta object literal for the 'List' data type.

  See Also:
    `List`, `QueryPackageImpl.getList()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.